<?php
for($k=1;$k<$_POST['nbfiles'];$k++) {
	if(isset($_SESSION['alerte_taille'.$k])) {
		unset($_SESSION['alerte_taille'.$k]);
	}
	if(isset($_SESSION['alerte_ext'.$k])) {
		unset($_SESSION['alerte_ext'.$k]);
	}
	if($_FILES['fichier'.$k.'']['name']!="") {
		$error = false;
		$file=$_FILES['fichier'.$k.''];
		$fichier=$_FILES['fichier'.$k.'']['name'];
		$actualName = $file['tmp_name'];
		$actualSize = $file['size'];
		if(phpversion()<7) { $newName = bin2hex(mcrypt_create_iv(32, MCRYPT_DEV_URANDOM)); }
		else { $newName = bin2hex(random_bytes(32)); }
		$legalSize = "50000000"; // 50000000 Octets = 50 MO
		$path = 'seqfichiers/'.$prefix.'/';
		// On vérifie qu'il n'y a pas un autre fichier du même nom
		//$fichier = basename($_FILES['fichier'.$k.'']['name']);
		$extension = pathinfo($fichier, PATHINFO_EXTENSION);
		// On s'assure que le fichier n'est pas vide
		if ($actualName == "" || $actualSize == 0) {
		    $error = true;
		}
		// On vérifie qu'un fichier portant le même nom n'est pas présent sur le serveur
		if (file_exists($path.'/'.$newName.'.'.$extension)) {
		    $error = true;
		}
		// On effectue nos vérifications réglementaires
		if (!$error) {
		    if ($actualSize < $legalSize) {
		    	// echo $actualSize;
		        if (in_array(strtoupper($extension), $extensions)) {
		            move_uploaded_file($actualName, $path.'/'.$newName.'.'.$extension);
		            $kmg_verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_seqdocs WHERE docname = '".$fichier."'"));
						if($kmg_verif_nb>0) {
							$fichier .= ' (1)';
						}
		            mysqli_query($bdd,"INSERT INTO ".$prefix."_seqdocs (doc_id, seq_id, docurl, docname) VALUES('', '".$seq_id."', '".$newName.".".$extension."', '".$fichier."')");
					// On récupère le fichier
					$_SESSION['fichier'.$k.''] = $fichier;
		        }
		        else { $_SESSION['alerte_ext'.$k] = FILEPB1." ".$fichier.FILEPB2; }
		    }
		    else { $_SESSION['alerte_taille'.$k] = FILE." ".$fichier.FILEPB3;}
		}
		else {
		    // On supprime le fichier du serveur
		    @unlink($path.'/'.$newName.'.'.$extension);
		}
	}
}
?>